AurionAI Docs

Prepaid Voice Reconcile

CronJob: Reconcile missed prepaid voice credit debits. Issue #912. The post-call credit debit (Task 8) is best-effort — if the cleanup handler's HTTP call fails, the debit is missed. This endpoint catches missed debits by comparing ``tenant_usage_events`` against ``tenant_prepaid_credit_transactions``. Auth: PREPAID_RECONCILE_TOKEN env var via X-Prepaid-Reconcile-Token header.

POST
/api/sync/prepaid-voice-reconcile

CronJob: Reconcile missed prepaid voice credit debits.

Issue #912. The post-call credit debit (Task 8) is best-effort — if the cleanup handler's HTTP call fails, the debit is missed. This endpoint catches missed debits by comparing tenant_usage_events against tenant_prepaid_credit_transactions.

Auth: PREPAID_RECONCILE_TOKEN env var via X-Prepaid-Reconcile-Token header.

Response Body

application/json

curl -X POST "https://loading/api/sync/prepaid-voice-reconcile"
{
  "errors": 0,
  "lookback_hours": 0,
  "reconciled": 0,
  "reconciled_at": "string",
  "tenants_affected": 0
}